# IRdVertexStream Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | GetNumVertices ([out, retval] RtDWORD *dwNumVertices)
HRESULT | SetNumVertices ([in] RtDWORD dwNumVertices)
HRESULT | BeginWrite ()
HRESULT | EndWrite ()
## Properties
RtFloat * | x ([in] RtDWORD dwIndex)`[get]`
RtFloat | x ([in] RtDWORD dwIndex)`[set]`
RtFloat * | y ([in] RtDWORD dwIndex)`[get]`
RtFloat | y ([in] RtDWORD dwIndex)`[set]`
RtFloat * | z ([in] RtDWORD dwIndex)`[get]`
RtFloat | z ([in] RtDWORD dwIndex)`[set]`

## Detailed Description

IRdVertexStream:

- Specifies vertex coordinates for triangle indices (IRdTriangleStream).
- The stream is part of IRdMesh and is stored in Vertex stream group.
- Stream is identified by STREAMID_VERTEXES_COORDINATES id.

## Member Function Documentation

HRESULT IRdVertexStream::GetNumVertices | ( | [out, retval] RtDWORD * | dwNumVertices | ) |

Get number of vertices.

Returns:
  dwNumVertices [out,retval] Returns number of vertices in stream.

  standard HRESULT processing can be applied to returned value.

HRESULT IRdVertexStream::SetNumVertices | ( | [in] RtDWORD | dwNumVertices | ) |

Set number of vertices.

Parameters:

  | dwNumVertices | [in] Set number of vertices for stream.

Returns:
  standard HRESULT processing can be applied to returned value.

HRESULT IRdVertexStream::BeginWrite | ( |  | ) |

BeginWrite method used when for instance a loop is used to parse through the stream, one vertex at a time. You would use BeginWrite just before the loop code and just after the loop code you would use EndWrite.

HRESULT IRdVertexStream::EndWrite | ( |  | ) |

EndWrite method used when for instance a loop is used to parse through the stream, one vertex at a time. You would use BeginWrite just before the loop code and just after the loop code you would use EndWrite.

## Property Documentation

RtFloat* IRdVertexStream::x([in] RtDWORD dwIndex)`[get]`

Get X coordinate of i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.

Returns:
  pVal [out, retval] Returns value for x coordinate of vertex.

  standard HRESULT processing can be applied to returned value.

RtFloat IRdVertexStream::x([in] RtDWORD dwIndex)`[set]`

Set X coordinate of i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.
  | newVal | [in] X coordinate value to set for the vertex.

Returns:
  standard HRESULT processing can be applied to returned value.

RtFloat* IRdVertexStream::y([in] RtDWORD dwIndex)`[get]`

Get Y coordinate of i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.

Returns:
  pVal [out, retval] Returns value for y coordinate of vertex.

  standard HRESULT processing can be applied to returned value.

RtFloat IRdVertexStream::y([in] RtDWORD dwIndex)`[set]`

Set Y coordinate of i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.
  | newVal | [in] Y coordinate value to set for the vertex.

Returns:
  standard HRESULT processing can be applied to returned value.

RtFloat* IRdVertexStream::z([in] RtDWORD dwIndex)`[get]`

Get Z coordinate of i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.

Returns:
  pVal [out, retval] Returns value for z coordinate of vertex.

  standard HRESULT processing can be applied to returned value.

RtFloat IRdVertexStream::z([in] RtDWORD dwIndex)`[set]`

Set Z coordinate of i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.
  | newVal | [in] Z coordinate value to set for the vertex.

Returns:
  standard HRESULT processing can be applied to returned value.